From 421307524d122cc0910a075ca7d9d8f2364ca4f5 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Marc-Andr=C3=A9=20Lureau?= <marcandre.lureau@gmail.com>
Date: Thu, 21 Aug 2014 16:14:47 +0200
Subject: [PATCH] Synced with native openssl-1.0.1i-3.fc21

Fixes various flaws (RHBZ#1096234 and RHBZ#1127705)

CVE-2014-3505 CVE-2014-3506 CVE-2014-3507 CVE-2014-3511
CVE-2014-3510 CVE-2014-3508 CVE-2014-3509 CVE-2014-0221
CVE-2014-0198 CVE-2014-0224 CVE-2014-0195 CVE-2010-5298
CVE-2014-3470
---
 .gitignore                             |     1 +
 mingw-openssl.spec                     |    66 +-
 openssl-1.0.0c-fips-md5-allow.patch    |    20 -
 openssl-1.0.0e-doc-noeof.patch         |    23 -
 openssl-1.0.1-beta2-rpmbuild.patch     |   110 -
 openssl-1.0.1-beta2-ssl-op-all.patch   |    21 -
 openssl-1.0.1a-algo-doc.patch          |    77 -
 openssl-1.0.1c-ipv6-apps.patch         |   516 -
 openssl-1.0.1e-3des-strength.patch     |   171 -
 openssl-1.0.1e-backports.patch         |   345 -
 openssl-1.0.1e-bad-mac.patch           |    33 -
 openssl-1.0.1e-cve-2013-4353.patch     |    21 -
 openssl-1.0.1e-cve-2013-6449.patch     |   111 -
 openssl-1.0.1e-cve-2013-6450.patch     |    85 -
 openssl-1.0.1e-fips-ec.patch           |     2 +-
 openssl-1.0.1e-fips.patch              | 20393 ------------------------------
 openssl-1.0.1e-manfix.patch            |   555 -
 openssl-1.0.1e-new-fips-reqs.patch     |  1750 ---
 openssl-1.0.1e-ppc-asm-update.patch    |  6664 ++++++++++
 openssl-1.0.1e-ppc64le-target.patch    |    10 -
 openssl-1.0.1e-req-keylen.patch        |    38 -
 openssl-1.0.1e-rpmbuild.patch          |   112 +
 openssl-1.0.1e-trusted-first.patch     |   330 -
 openssl-1.0.1g-fips.patch              | 20400 +++++++++++++++++++++++++++++++
 openssl-1.0.1h-disable-sslv2v3.patch   |    13 +
 openssl-1.0.1h-ipv6-apps.patch         |   529 +
 openssl-1.0.1h-system-cipherlist.patch |   289 +
 openssl-1.0.1i-algo-doc.patch          |    77 +
 openssl-1.0.1i-manfix.patch            |    86 +
 openssl-1.0.1i-new-fips-reqs.patch     |  1377 +++
 openssl-1.0.1i-ppc-asm-update.patch    |  6636 ++++++++++
 openssl-1.0.1i-trusted-first.patch     |   330 +
 openssl.git-96db902.patch              |   108 -
 sources                                |     2 +-
 34 files changed, 36545 insertions(+), 24756 deletions(-)
 delete mode 100644 openssl-1.0.0c-fips-md5-allow.patch
 delete mode 100644 openssl-1.0.0e-doc-noeof.patch
 delete mode 100644 openssl-1.0.1-beta2-rpmbuild.patch
 delete mode 100644 openssl-1.0.1-beta2-ssl-op-all.patch
 delete mode 100644 openssl-1.0.1a-algo-doc.patch
 delete mode 100644 openssl-1.0.1c-ipv6-apps.patch
 delete mode 100644 openssl-1.0.1e-3des-strength.patch
 delete mode 100644 openssl-1.0.1e-backports.patch
 delete mode 100644 openssl-1.0.1e-bad-mac.patch
 delete mode 100644 openssl-1.0.1e-cve-2013-4353.patch
 delete mode 100644 openssl-1.0.1e-cve-2013-6449.patch
 delete mode 100644 openssl-1.0.1e-cve-2013-6450.patch
 delete mode 100644 openssl-1.0.1e-fips.patch
 delete mode 100644 openssl-1.0.1e-manfix.patch
 delete mode 100644 openssl-1.0.1e-new-fips-reqs.patch
 create mode 100644 openssl-1.0.1e-ppc-asm-update.patch
 delete mode 100644 openssl-1.0.1e-ppc64le-target.patch
 delete mode 100644 openssl-1.0.1e-req-keylen.patch
 create mode 100644 openssl-1.0.1e-rpmbuild.patch
 delete mode 100644 openssl-1.0.1e-trusted-first.patch
 create mode 100644 openssl-1.0.1g-fips.patch
 create mode 100644 openssl-1.0.1h-disable-sslv2v3.patch
 create mode 100644 openssl-1.0.1h-ipv6-apps.patch
 create mode 100644 openssl-1.0.1h-system-cipherlist.patch
 create mode 100644 openssl-1.0.1i-algo-doc.patch
 create mode 100644 openssl-1.0.1i-manfix.patch
 create mode 100644 openssl-1.0.1i-new-fips-reqs.patch
 create mode 100644 openssl-1.0.1i-ppc-asm-update.patch
 create mode 100644 openssl-1.0.1i-trusted-first.patch
 delete mode 100644 openssl.git-96db902.patch

diff --git a/.gitignore b/.gitignore
index b9433ec..f36a459 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,3 +3,4 @@ openssl-1.0.0a-usa.tar.bz2
 /openssl-1.0.1c-usa.tar.xz
 /openssl-1.0.1e-usa.tar.xz
 /openssl-1.0.1e-hobbled.tar.xz
+/openssl-1.0.1i-hobbled.tar.xz
diff --git a/mingw-openssl.spec b/mingw-openssl.spec
index 2b67928..c089dbc 100644
--- a/mingw-openssl.spec
+++ b/mingw-openssl.spec
@@ -23,8 +23,8 @@
 %global thread_test_threads %{?threads:%{threads}}%{!?threads:1}
 
 Name:           mingw-openssl
-Version:        1.0.1e
-Release:        7%{?dist}
+Version:        1.0.1i
+Release:        1%{?dist}
 Summary:        MinGW port of the OpenSSL toolkit
 
 License:        OpenSSL
@@ -48,7 +48,7 @@ Source12:       ec_curve.c
 Source13:       ectest.c
 
 # Build changes
-Patch1:         openssl-1.0.1-beta2-rpmbuild.patch
+Patch1:         openssl-1.0.1e-rpmbuild.patch
 Patch2:         openssl-1.0.1e-defaults.patch
 Patch4:         openssl-1.0.0-beta5-enginesdir.patch
 Patch5:         openssl-0.9.8a-no-rpath.patch
@@ -56,7 +56,8 @@ Patch6:         openssl-0.9.8b-test-use-localhost.patch
 Patch7:         openssl-1.0.0-timezone.patch
 Patch8:         openssl-1.0.1c-perlfind.patch
 Patch9:         openssl-1.0.1c-aliasing.patch
-Patch10:        openssl-1.0.1e-ppc64le-target.patch
+# This patch must be applied first
+Patch10:        openssl-1.0.1i-ppc-asm-update.patch
 # Bug fixes
 Patch23:        openssl-1.0.1c-default-paths.patch
 Patch24:        openssl-1.0.1e-issuer-hash.patch
@@ -64,13 +65,11 @@ Patch24:        openssl-1.0.1e-issuer-hash.patch
 Patch33:        openssl-1.0.0-beta4-ca-dir.patch
 Patch34:        openssl-0.9.6-x509.patch
 Patch35:        openssl-0.9.8j-version-add-engines.patch
-Patch36:        openssl-1.0.0e-doc-noeof.patch
-Patch38:        openssl-1.0.1-beta2-ssl-op-all.patch
-Patch39:        openssl-1.0.1c-ipv6-apps.patch
-Patch40:        openssl-1.0.1e-fips.patch
+Patch39:        openssl-1.0.1h-ipv6-apps.patch
+Patch40:        openssl-1.0.1g-fips.patch
 Patch45:        openssl-1.0.1e-env-zlib.patch
 Patch47:        openssl-1.0.0-beta5-readme-warning.patch
-Patch49:        openssl-1.0.1a-algo-doc.patch
+Patch49:        openssl-1.0.1i-algo-doc.patch
 Patch50:        openssl-1.0.1-beta2-dtls1-abi.patch
 Patch51:        openssl-1.0.1e-version.patch
 Patch56:        openssl-1.0.0c-rsa-x931.patch
@@ -82,28 +81,21 @@ Patch66:        openssl-1.0.1-pkgconfig-krb5.patch
 Patch68:        openssl-1.0.1e-secure-getenv.patch
 Patch69:        openssl-1.0.1c-dh-1024.patch
 Patch70:        openssl-1.0.1e-fips-ec.patch
-Patch71:        openssl-1.0.1e-manfix.patch
+Patch71:        openssl-1.0.1i-manfix.patch
 Patch72:        openssl-1.0.1e-fips-ctor.patch
 Patch73:        openssl-1.0.1e-ecc-suiteb.patch
 Patch74:        openssl-1.0.1e-no-md5-verify.patch
 Patch75:        openssl-1.0.1e-compat-symbols.patch
-Patch76:        openssl-1.0.1e-new-fips-reqs.patch
+Patch76:        openssl-1.0.1i-new-fips-reqs.patch
 Patch77:        openssl-1.0.1e-weak-ciphers.patch
-Patch78:        openssl-1.0.1e-3des-strength.patch
-Patch79:        openssl-1.0.1e-req-keylen.patch
+Patch90:        openssl-1.0.1e-enc-fail.patch
+Patch92:        openssl-1.0.1h-system-cipherlist.patch
+Patch93:        openssl-1.0.1h-disable-sslv2v3.patch
 # Backported fixes including security fixes
 Patch81:        openssl-1.0.1-beta2-padlock64.patch
-Patch82:        openssl-1.0.1e-backports.patch
-Patch83:        openssl-1.0.1e-bad-mac.patch
-Patch84:        openssl-1.0.1e-trusted-first.patch
+Patch84:        openssl-1.0.1i-trusted-first.patch
 Patch85:        openssl-1.0.1e-arm-use-elf-auxv-caps.patch
-Patch86:        openssl-1.0.1e-cve-2013-6449.patch
-Patch87:        openssl-1.0.1e-cve-2013-6450.patch
-Patch88:        openssl-1.0.1e-cve-2013-4353.patch
 Patch89:        openssl-1.0.1e-ephemeral-key-size.patch
-Patch90:        openssl-1.0.1e-enc-fail.patch
-# upstream patch for CVE-2014-0160
-Patch100:       openssl.git-96db902.patch
 
 # MinGW-specific patches.
 # Rename *eay32.dll to lib*.dll
@@ -217,6 +209,7 @@ Static version of the MinGW port of the OpenSSL toolkit.
 
 cp %{SOURCE12} %{SOURCE13} crypto/ec/
 
+%patch10 -p1 -b .ppc-asm
 %patch1 -p1 -b .rpmbuild
 %patch2 -p1 -b .defaults
 %patch4 -p1 -b .enginesdir %{?_rawbuild}
@@ -225,7 +218,6 @@ cp %{SOURCE12} %{SOURCE13} crypto/ec/
 %patch7 -p1 -b .timezone
 %patch8 -p1 -b .perlfind %{?_rawbuild}
 %patch9 -p1 -b .aliasing
-%patch10 -p1 -b .ppc64le
 
 %patch23 -p1 -b .default-paths
 %patch24 -p1 -b .issuer-hash
@@ -233,8 +225,6 @@ cp %{SOURCE12} %{SOURCE13} crypto/ec/
 %patch33 -p1 -b .ca-dir
 %patch34 -p1 -b .x509
 %patch35 -p1 -b .version-add-engines
-%patch36 -p1 -b .doc-noeof
-%patch38 -p1 -b .op-all
 #patch39 -p1 -b .ipv6-apps
 %patch40 -p1 -b .fips
 %patch45 -p1 -b .env-zlib
@@ -251,27 +241,21 @@ cp %{SOURCE12} %{SOURCE13} crypto/ec/
 #patch68 -p1 -b .secure-getenv
 %patch69 -p1 -b .dh1024
 #patch70 -p1 -b .fips-ec
+%patch71 -p1 -b .manfix
 #patch72 -p1 -b .fips-ctor
 %patch73 -p1 -b .suiteb
 #patch74 -p1 -b .no-md5-verify
 %patch75 -p1 -b .compat
 #patch76 -p1 -b .fips-reqs
 %patch77 -p1 -b .weak-ciphers
-%patch78 -p1 -b .3des-strength
-%patch79 -p1 -b .keylen
+%patch90 -p1 -b .enc-fail
+%patch92 -p1 -b .system
+%patch93 -p1 -b .v2v3
 
 %patch81 -p1 -b .padlock64
-%patch82 -p1 -b .backports
-%patch71 -p1 -b .manfix
-%patch83 -p1 -b .bad-mac
 %patch84 -p1 -b .trusted-first
 %patch85 -p1 -b .armcap
-%patch86 -p1 -b .hash-crash
-%patch87 -p1 -b .dtls1-mitm
-%patch88 -p1 -b .handshake-crash
-#%patch89 -p1 -b .ephemeral
-%patch90 -p1 -b .enc-fail
-%patch100 -p1 -b .CVE-2014-0160
+#patch89 -p1 -b .ephemeral
 
 # MinGW specific patches
 %patch101 -p1 -b .mingw-libversion
@@ -516,6 +500,14 @@ mkdir -m700 $RPM_BUILD_ROOT%{mingw64_sysconfdir}/pki/CA/private
 
 
 %changelog
+* Thu Aug 21 2014 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.1i-1
+- Synced with native openssl-1.0.1i-3.fc21
+- Fixes various flaws (RHBZ#1096234 and RHBZ#1127705)
+  CVE-2014-3505 CVE-2014-3506 CVE-2014-3507 CVE-2014-3511
+  CVE-2014-3510 CVE-2014-3508 CVE-2014-3509 CVE-2014-0221
+  CVE-2014-0198 CVE-2014-0224 CVE-2014-0195 CVE-2010-5298
+  CVE-2014-3470
+
 * Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1e-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
 
@@ -612,7 +604,7 @@ mkdir -m700 $RPM_BUILD_ROOT%{mingw64_sysconfdir}/pki/CA/private
 
 * Sun Aug 30 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.0-0.2.beta3
 - Fixed invalid RPM Provides
- 
+
 * Fri Aug 28 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.0-0.1.beta3
 - Update to version 1.0.0 beta 3
 - Use %%global instead of %%define
diff --git a/sources b/sources
index 556dcb4..b97a288 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-6115ae0bb61b481a9195baef72514c2e  openssl-1.0.1e-hobbled.tar.xz
+c152e5284765c3325301a62b01a48fc0  openssl-1.0.1i-hobbled.tar.xz
-- 
1.9.3

